LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Redhat and PHP 4.3.2 (https://www.linuxquestions.org/questions/linux-newbie-8/redhat-and-php-4-3-2-a-72630/)

Cynthia Blue 07-14-2003 11:57 AM

Redhat and PHP 4.3.2
 
I want to install a software package on my server that requires PHP 4.3.2. I only run the RH PHP that comes with, which is 4.2.2. So I'm wondering, how does upgrading PHP work? Can I just download the current version from the PHP.net site and transfer it over? I belive I have to compile it.. still checking. But would there be any conflict between the old and the new? Also, I usually get the updates from Red Hat, would that void those out when it concerns PHP?

Thanks.
Major Newb question. :)

david_ross 07-14-2003 12:53 PM

4.3.2 is not available for redhat in rpm form so you will need to compile it. There is documentation here:
http://www.php.net/manual/en/installation.php

You can see what packages you have relating to php installed using:
rpm -qa | grep php

You can uninstall a package using:
rpm -e PACKAGE


All times are GMT -5. The time now is 09:53 PM.